Opened 6 years ago

Closed 2 years ago

Last modified 2 years ago

#45670 closed enhancement (fixed)

InsightToolkit31{2,4}: retire old series 3.x versions

Reported by: petrrr Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: stromnov (Andrew Stromnov)
Port: InsightToolkit312 InsightToolkit314

Description

I believe that the ports InsightToolkit312 and InsightToolkit314, which provide older versions of InsightToolkit, should be discontinues. All versions date back to 2009:

  • Release 3.16 (September 15 2009)
  • Release 3.14 (May 28 2009)
  • Release 3.12 (March 1 2009)

So we should keep only the latest one and eventually update. The other ports should be replaced_by InsightToolkit.

Change History (4)

comment:1 Changed 6 years ago by petrrr

Summary: InsightToolkit31{2,4}: retire old series 3.x versionInsightToolkit31{2,4}: retire old series 3.x versions

comment:2 Changed 3 years ago by jmroot (Joshua Root)

Cc: stromnov added

comment:3 Changed 2 years ago by yan12125 (Chih-Hsuan Yen)

Resolution: fixed
Status: newclosed

In 1b59ebeba1383f1288adf62161e256119283fec1/macports-ports (master):

InsightToolkit{,312,314}: removed in favor of InsightToolkit-devel

The last ITK 3.x release 3.20 is out in 2010, and 4.x have been there
for almost 8 years. I see no reason to keep 3.x around.

Closes: #23772
Closes: #26373
Closes: #33857
Closes: #37894
Closes: #42973
Closes: #45634
Closes: #45670
Ref: #47691

comment:4 Changed 2 years ago by yan12125 (Chih-Hsuan Yen)

InsightToolkit (3.16.0) has been dropped in favor of InsightToolkit-devel (4.8.2).

Note: See TracTickets for help on using tickets.